{% extends 'base.html.twig' %}

{% block title %}Se connecter{% endblock %}

{% block body %}
{% for message in app.flashes('success') %}
    <div class="flash-message flash-success">
        {{ message }}
    </div>
{% endfor %}

<main class="px-4 py-12 container-center bg-gray-50 sm:px-6 lg:px-8">
  <div class="w-full max-w-lg">
    <div>
      <h2 class="mt-6 text-3xl font-extrabold leading-9 text-center text-gray-900">
        Connectez-vous à votre compte
      </h2>
      
      <p class="mt-2 text-sm leading-5 text-center text-gray-600 max-w">
        Ou
        <a href="{{ path('app_register') }}" class="font-medium text-indigo-600 transition duration-150 ease-in-out hover:text-indigo-500 focus:outline-none focus:underline hover:underline"> inscrivez-vous ici</a>
      </p>

      {% if error %}
        <p class="mt-2 text-center text-red-500">{{ error.messageKey | trans(error.messageData, 'security') }}</p>
      {% endif %}
    </div>
    <form class="mt-8" action="#" method="POST">
      <input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">

      <div class="rounded-md shadow-sm">
        <div>
          <input aria-label="Adresse mail" name="email" type="email" required autofocus class="relative block w-full px-3 py-2 text-gray-900 placeholder-gray-500 border border-gray-300 rounded-none appearance-none rounded-t-md focus:outline-none focus:shadow-outline-blue focus:border-blue-300 focus:z-10 sm:text-sm sm:leading-5" placeholder="Adresse mail" />
        </div>
        <div class="-mt-px">
          <input aria-label="Mot de passe" name="password" type="password" required class="relative block w-full px-3 py-2 text-gray-900 placeholder-gray-500 border border-gray-300 rounded-none appearance-none rounded-b-md focus:outline-none focus:shadow-outline-blue focus:border-blue-300 focus:z-10 sm:text-sm sm:leading-5" placeholder="Mot de passe" />
        </div>
      </div>

      <div class="flex items-center justify-between mt-6">
        <div class="flex items-center">
          <input id="_remember_me" name="_remember_me" type="checkbox" class="w-4 h-4 text-indigo-600 transition duration-150 ease-in-out form-checkbox" />
          <label for="_remember_me" class="block ml-2 text-sm leading-5 text-gray-900">
            Se souvenir de moi
          </label>
        </div>

        <div class="text-sm leading-5">
          <a href="{{ path('app_forgotten_password') }}" class="font-medium text-indigo-600 transition duration-150 ease-in-out hover:text-indigo-500 focus:outline-none focus:underline hover:underline">
            Mot de passe oublié ?
          </a>
        </div>
      </div>

      <div class="mt-6">
        <button type="submit" class="relative flex justify-center w-full px-4 py-2 text-sm font-medium text-white transition duration-150 ease-in-out bg-indigo-600 border border-transparent rounded-md group hover:bg-indigo-500 focus:outline-none focus:border-indigo-700 focus:shadow-outline-indigo active:bg-indigo-700">
          <span class="absolute left-0 pl-3 inset-y">
            <svg class="w-5 h-5 text-indigo-500 transition duration-150 ease-in-out group-hover:text-indigo-400" fill="currentColor" viewBox="0 0 20 20">
              <path fill-rule="evenodd" d="M5 9V7a5 5 0 0110 0v2a2 2 0 012 2v5a2 2 0 01-2 2H5a2 2 0 01-2-2v-5a2 2 0 012-2zm8-2v2H7V7a3 3 0 016 0z" clip-rule="evenodd" />
            </svg>
          </span>
          Se connecter
        </button>
      </div>
    </form>
  </div>
</main>

{% endblock %}
